.input-group > select:first-child + .select2-container--krajee-bs4,
.input-group > select:first-child + .select2-container--krajee-bs4 .select2-selection {
    border-top-left-radius: .2rem !important;
    border-bottom-left-radius: .2rem !important;
}

:not(.form-floating) > .input-group-sm .select2-container--krajee-bs4 .select2-selection--single .select2-selection__arrow b {
    border-width: 0.375rem 0.25rem 0 0.25rem !important;
    margin-left: -0.25rem !important;
}

:not(.form-floating) > .input-sm.select2-container--krajee-bs4 .select2-selection--single {
    padding-right: 1rem !important;
}

:not(.form-floating) > .input-group-sm .select2-container--krajee-bs4 .select2-selection--single {
    padding-right: 1.5rem !important;
}

.select2-container--krajee-bs4 .select2-selection--multiple .select2-selection__rendered {
    padding-bottom: 0.1rem;
    padding-top: 0.1rem;
}

:not(.form-floating) > .input-sm.select2-container--krajee-bs4 .select2-selection--multiple .select2-selection__choice,
:not(.form-floating) > .input-group-sm .select2-container--krajee-bs4 .select2-selection--multiple .select2-selection__choice {
    float: left;
    margin: 0.1rem 0 0.1rem 0.2rem;
    padding: 0.05rem 0.05rem 0.05rem 0.2rem;
}

:not(.form-floating) > .input-sm.select2-container--krajee-bs4[dir="rtl"] .select2-selection--multiple .select2-selection__choice,
:not(.form-floating) > .input-group-sm .select2-container--krajee-bs4[dir="rtl"] .select2-selection--multiple .select2-selection__choice {
    float: right;
    margin: 0.1rem 0.2rem 0.1rem 0;
    padding: 0.05rem 0.2rem 0.05rem 0.05rem;
}

.input-group > .input-group-append > .rounded-right {
    border-top-right-radius: .2rem !important;
    border-bottom-right-radius: .2rem !important;
}

.kv-form-bs4 .has-success.highlight-addon .input-group-append .btn.btn-primary:not(:disabled):not(.disabled) {
    background-color: #007bff;
    border-color: #007bff;
    color: #fff;
}

.kv-form-bs4 .has-success.highlight-addon .input-group-append .btn.btn-default:not(:disabled):not(.disabled) {
    background-color: #f8f9fa;
    border-color: #ddd;
    color: #444;
}

.kv-form-bs4 .has-success.highlight-addon .input-group-append .btn.bg-gradient-primary:not(:disabled):not(.disabled),
.kv-form-bs4 .has-success.highlight-addon .input-group-append .btn.bg-gradient-secondary:not(:disabled):not(.disabled),
.kv-form-bs4 .has-success.highlight-addon .input-group-append .btn.bg-gradient-success:not(:disabled):not(.disabled),
.kv-form-bs4 .has-success.highlight-addon .input-group-append .btn.bg-gradient-warning:not(:disabled):not(.disabled),
.kv-form-bs4 .has-success.highlight-addon .input-group-append .btn.bg-gradient-danger:not(:disabled):not(.disabled) {
    border: none;
}

.kv-grid-table .has-error .help-block {
    width: 100%;
    margin-top: 0.25rem;
    font-size: 80%;
    color: #dc3545;
}

.kv-grid-table .kv-editable-link {
    font-weight: inherit;
}

.kv-grid-bs4 .kv-panel-pager .pagination {
    margin: 0;
}

.kv-detail-view .table .kv-child-table > tbody > tr {
    background: none !important;
}

.kv-detail-view .table .kv-child-table > tbody > tr > th:first-child {
    border-left: none !important;
}

.kv-detail-view .table .kv-child-table > tbody > tr > td:last-child {
    border-right: none !important;
}

.kv-detail-view .table-sm .kv-child-table > tbody > tr > td,
.kv-detail-view .table-sm .kv-child-table > tbody > tr > th {
    padding: 0.3rem;
}

.kv-detail-view .table-sm .kv-child-table-row > .kv-child-table-cell {
    padding-left: 0 !important;
    padding-right: 0 !important;
}

.kv-view-hidden {
    display: none;
}

.popover-x {
    display: none;
}

.popover-x .arrow {
    width: 0;
}

.rating-container.theme-krajee-svg {
    font-size: 1rem !important;
}

.rating-container.theme-krajee-svg > .caption {
    padding-bottom: 3px !important;
    padding-top: 3px !important;
}

input[type=text].form-control.rating-input {
    border: none !important;
    font-size: 1px !important;
    height: 0 !important;
    padding: 0 !important;
}

.kv-attribute > input[type=text].rating-input[readonly] {
    display: none !important;
}
